QGIS Plugin Site - Bug report #21715
Add "Requirements" as optional field in metadata.txt
2019-03-31 06:39 PM - Stkeller -

Status: Open
Priority: Low
Assignee:

Category: Website
Pull Request or Patch supplied:
Description

As a user when searching and browsing for a plugin in QGIS extension manager or on the website https://plugins.qgis.org/ , users should
be informed before hand about the requirements, dependencies and restrictions of a plugin.

There is currently a newly added text in the "Recommendation” chapter on https://plugins.qgis.org/publish/ to mention requirements,
dependencies and restrictions in the About/Description field, if the plugin is running only on selected platforms, requires software to be
installed separately or requires some user account.

My suggestion is to add an optional field - perhaps called "requirements” - in metadata.txt, to be filled in by the plugin maintainer. The field
entry would be mandatory if there exist such requirements.

Some dependencies and restrictions could even be potentially validated automatically.

History

#1 - 2019-03-31 09:02 PM - Giovanni Manghi
- Category changed from Python plugins to Website
- Project changed from QGIS Application to QGIS Plugin Site

#2 - 2019-04-01 01:39 AM - Sfkeller -

See also https://github.com/qgis/QGIS/pull/9619 .
